Get a specific IP Pool.

Prev Next
Get
/ip-pools/{id}

Get a specific IP Pool.

Security
HTTP
Type bearer
Path parameters
id
string (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425
Responses
200

Single IP Pool.

object
id
string (uuid)

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
name
string

Name of the object.

Exampleobject
notes
string

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
created
string (date-time)

Create date.

updated
string (date-time)

Last update date.

tags
Array of string

Array of tags.

Example[ "developer", "api-created" ]
string
ipVersion6
boolean

Whether the IP pool is for v4 or v6.

Defaultfalse
ranges
excludedRanges
leaseTimeDays
integer

Number of days Allocated IPs will be reserved for device&users before they are reclaimable by others.

Default30
total
integer (int64)

The total size of the IP Pool.

Example254
currentlyUsed
integer (int64)

Number of IPs in the pool are currently in use by device&users.

Example16
reserved
integer (int64)

Number of IPs in the pool are not currently in use but reserved for device&users according to the "leaseTimeDays" setting.

Example32
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.